diff -urN radiusd-cistron-1.6-dist/src/Make.inc radiusd-cistron-1.6/src/Make.inc
--- radiusd-cistron-1.6-dist/src/Make.inc	2003-05-23 10:54:08.000000000 -0500
+++ radiusd-cistron-1.6/src/Make.inc	2003-05-29 13:29:49.000000000 -0500
@@ -4,7 +4,14 @@
 #
 #
 
+INSTROOT      = 
 RADIUS_DIR    = /etc/raddb
+RADLOG_DIR    = /var/log
+PID_DIR       = /var/run
+DIRS          = -DRADIUS_DIR=\"$(RADIUS_DIR)\" \
+                -DRADLOG_DIR=\"$(RADLOG_DIR)\" \
+                -DRADIUS_PID=\"$(PID_DIR)/radius.pid\" \
+		-DRADRELAY_PID=\"$(PID_DIR)/radrelay.pid\"
 
 SERVER_OBJS   = radiusd.o files.o acct.o pam.o version.o proxy.o \
 			exec.o auth.o timestr.o cache.o readusers.o
@@ -26,72 +33,72 @@
 	$(LIBS) $(LCRYPT) $(PAMLIB) $(DBMLIB)
 
 radiusd.o: radiusd.c $(INCLUDES)
-	$(CC) $(CFLAGS) $(DBM) -c radiusd.c
+	$(CC) $(CFLAGS) $(DIRS) $(DBM) -c radiusd.c
 
 acct.o: acct.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c acct.c
+	$(CC) $(CFLAGS) $(DIRS) -c acct.c
 
 log.o: log.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c log.c
+	$(CC) $(CFLAGS) $(DIRS) -c log.c
 
 attrprint.o: attrprint.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c attrprint.c
+	$(CC) $(CFLAGS) $(DIRS) -c attrprint.c
 
 dict.o: dict.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c dict.c
+	$(CC) $(CFLAGS) $(DIRS) -c dict.c
 
 files.o: files.c $(INCLUDES)
-	$(CC) $(CFLAGS) $(DBM) $(PAM) -c files.c
+	$(CC) $(CFLAGS) $(DIRS) $(DBM) $(PAM) -c files.c
 
 radius.o: radius.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c radius.c
+	$(CC) $(CFLAGS) $(DIRS) -c radius.c
 
 readusers.o: readusers.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c readusers.c
+	$(CC) $(CFLAGS) $(DIRS) -c readusers.c
 
 util.o: util.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c util.c
+	$(CC) $(CFLAGS) $(DIRS) -c util.c
 
 pam.o:  pam.c $(INCLUDES)
-	$(CC) $(CFLAGS) $(PAM) -c pam.c
+	$(CC) $(CFLAGS) $(DIRS) $(PAM) -c pam.c
 
 cache.o:  cache.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c cache.c 
+	$(CC) $(CFLAGS) $(DIRS) -c cache.c 
 
 proxy.o:  proxy.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c proxy.c
+	$(CC) $(CFLAGS) $(DIRS) -c proxy.c
 
 exec.o:  exec.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c exec.c
+	$(CC) $(CFLAGS) $(DIRS) -c exec.c
 
 auth.o:  auth.c $(INCLUDES)
-	$(CC) $(CFLAGS) $(PAM) -c auth.c
+	$(CC) $(CFLAGS) $(DIRS) $(PAM) -c auth.c
 
 pair.o: pair.c $(INCLUDES)
-	$(CC) $(CFLAGS) $(PAM) -c pair.c
+	$(CC) $(CFLAGS) $(DIRS) $(PAM) -c pair.c
 
 version.o: version.c $(INCLUDES)
-	$(CC) $(CFLAGS) $(DBM) $(PAM) -o version.o -c version.c
+	$(CC) $(CFLAGS) $(DIRS) $(DBM) $(PAM) -o version.o -c version.c
 
 encrattr.o: encrattr.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c encrattr.c
+	$(CC) $(CFLAGS) $(DIRS) -c encrattr.c
 
 radclient: radclient.o $(LIB_OBJS)
 	$(CC) $(LDFLAGS) -o radclient radclient.o \
 		$(LIB_OBJS) $(LIBS)
 
 radclient.o: radclient.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c radclient.c
+	$(CC) $(CFLAGS) $(DIRS) -c radclient.c
 
 radrelay: radrelay.o $(LIB_OBJS)
 	$(CC) $(LDFLAGS) -o radrelay radrelay.o \
 		$(LIB_OBJS) $(LIBS)
 
 radrelay.o: radrelay.c $(INCLUDES)
-	$(CC) $(CFLAGS) -c radrelay.c
+	$(CC) $(CFLAGS) $(DIRS) -c radrelay.c
 
 md5.o: md5.c md5.h
-	$(CC) $(CFLAGS) -c md5.c
+	$(CC) $(CFLAGS) $(DIRS) -c md5.c
 
 builddbm: builddbm.o readusers.o $(LIB_OBJS)
 	test -z "$(DBM)" || $(CC) $(LDFLAGS) -o builddbm \
@@ -99,12 +106,18 @@
 		$(LIB_OBJS) $(DBMLIB) $(LIBS)
 
 builddbm.o: builddbm.c
-	test -z "$(DBM)" || $(CC) $(CFLAGS) -c $(DBM) builddbm.c
+	test -z "$(DBM)" || $(CC) $(CFLAGS) $(DIRS) -c $(DBM) builddbm.c
+
+radwho.o: radwho.c
+	$(CC) $(CFLAGS) $(DIRS) -c radwho.c
 
 radwho: radwho.o $(LIB_OBJS)
 	$(CC) $(LDFLAGS) -o radwho radwho.o \
 		$(LIB_OBJS) $(LIBS)
 
+radzap.o: radzap.c
+	$(CC) $(CFLAGS) $(DIRS) -c radzap.c
+
 radzap: radzap.o $(LIB_OBJS)
 	$(CC) $(LDFLAGS) -o radzap radzap.o \
 		$(LIB_OBJS) $(LIBS)
@@ -115,36 +128,36 @@
 
 install:
 	# Install the binaries
-	$(DINSTALL) $(SBINDIR)
-	$(DINSTALL) $(BINDIR)
-	$(DINSTALL) $(RADIUS_DIR)
-	$(INSTALL) -m 755 -s radiusd  $(SBINDIR)/radiusd
-	$(INSTALL) -m 755 -s radrelay $(SBINDIR)/radrelay
-	$(INSTALL) -m 755 -s radwho  $(BINDIR)
-	$(INSTALL) -m 755 -s radzap  $(BINDIR)
-	$(INSTALL) -m 755 -s radclient $(BINDIR)
-	test -z "$(DBM)" || $(INSTALL) -m 755 -s builddbm $(BINDIR)
-	$(INSTALL) -m 755    checkrad.pl $(SBINDIR)/checkrad
-	$(INSTALL) -m 755    radlast $(BINDIR)
-	$(INSTALL) -m 755    radtest $(BINDIR)
+	$(DINSTALL) $(INSTROOT)$(SBINDIR)
+	$(DINSTALL) $(INSTROOT)$(BINDIR)
+	$(DINSTALL) $(INSTROOT)$(RADIUS_DIR)
+	$(INSTALL) -m 755 -s radiusd  $(INSTROOT)$(SBINDIR)/radiusd
+	$(INSTALL) -m 755 -s radrelay $(INSTROOT)$(SBINDIR)/radrelay
+	$(INSTALL) -m 755 -s radwho  $(INSTROOT)$(BINDIR)
+	$(INSTALL) -m 755 -s radzap  $(INSTROOT)$(BINDIR)
+	$(INSTALL) -m 755 -s radclient $(INSTROOT)$(BINDIR)
+	test -z "$(DBM)" || $(INSTALL) -m 755 -s builddbm $(INSTROOT)$(BINDIR)
+	$(INSTALL) -m 755    checkrad.pl $(INSTROOT)$(SBINDIR)/checkrad
+	$(INSTALL) -m 755    radlast $(INSTROOT)$(BINDIR)
+	$(INSTALL) -m 755    radtest $(INSTROOT)$(BINDIR)
 	# Install the man pages
 	@for section in 1 5 8; do \
-		$(DINSTALL) $(MANDIR)/man$$section; \
+		$(DINSTALL) $(INSTROOT)$(MANDIR)/man$$section; \
 		for manfile in ../doc/*.$$section*; do \
-		    echo $(INSTALL) -m 644 $$manfile $(MANDIR)/man$$section; \
-		    $(INSTALL) -m 644 $$manfile $(MANDIR)/man$$section; \
+		    echo $(INSTALL) -m 644 $$manfile $(INSTROOT)$(MANDIR)/man$$section; \
+		    $(INSTALL) -m 644 $$manfile $(INSTROOT)$(MANDIR)/man$$section; \
 		done ; \
 	done
-	test -n "$(DBM)" || rm -f $(MANDIR)/man8/builddbm.8rad
-	@if [ -d /etc/pam.d/ ] && [ ! -f /etc/pam.d/radius ]; then \
-		$(INSTALL) -m 644 ../redhat/radiusd-pam /etc/pam.d/radius;\
+	test -n "$(DBM)" || rm -f $(INSTROOT)$(MANDIR)/man8/builddbm.8rad
+	@if [ -d $(INSTROOT)/etc/pam.d/ ] && [ ! -f $(INSTROOT)/etc/pam.d/radius ]; then \
+		$(INSTALL) -m 644 ../redhat/radiusd-pam $(INSTROOT)/etc/pam.d/radius;\
 	fi
 	@# Install the config files
-	@echo; echo "Creating/updating files in $(RADIUS_DIR)"; \
+	@echo; echo "Creating/updating files in $(INSTROOT)$(RADIUS_DIR)"; \
 	cd ../raddb; \
 	for i in [a-c]* [e-z]*; do \
-		[ ! -f $(RADIUS_DIR)/$$i ] && cp $$i $(RADIUS_DIR)/$$i; \
+		[ ! -f $(INSTROOT)$(RADIUS_DIR)/$$i ] && cp $$i $(INSTROOT)$(RADIUS_DIR)/$$i; \
 	done; true
 	@# Install the dictionary files
-	@sh dict-install.sh ../raddb $(RADIUS_DIR) $(SHAREDIR)
+	@sh dict-install.sh ../raddb $(INSTROOT)$(RADIUS_DIR) $(INSTROOT)$(SHAREDIR)
 
diff -urN radiusd-cistron-1.6-dist/src/conf.h radiusd-cistron-1.6/src/conf.h
--- radiusd-cistron-1.6-dist/src/conf.h	2001-12-13 11:55:13.000000000 -0600
+++ radiusd-cistron-1.6/src/conf.h	2003-05-29 13:28:16.000000000 -0500
@@ -6,8 +6,12 @@
  */
 
 /* Default Database File Names */
+#ifndef RADIUS_DIR
 #define RADIUS_DIR		"/etc/raddb"
+#endif
+#ifndef RADIUS_DIR
 #define RADLOG_DIR		"/var/log"
+#endif
 
 #ifdef aix
 /*
@@ -34,8 +38,12 @@
 #define RADUTMP			(RADLOG_DIR "/radutmp")
 #define RADWTMP			(RADLOG_DIR "/radwtmp")
 
+#ifndef RADIUS_PID
 #define RADIUS_PID		"/var/run/radiusd.pid"
+#endif
+#ifndef RADRELAY_PID
 #define RADRELAY_PID		"/var/run/radrelay.pid"
+#endif
 
 #ifdef aix
 /*
